using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.RedisRepository.RedisAsyncHelper
{
    internal partial class RedisHelper
    {
        public async Task<bool> KeyDeleteAsync(string key)
        {
            return await _client.KeyDeleteAsync(key);
        }

        public async Task<bool> KeyExpireInAsync(string key, TimeSpan timeout)
        {
            return await _client.KeyExpireAsync(key, timeout);
        }

        public async Task<bool> KeyRenameAsync(string key, string newKey)
        {
            return await _client.KeyRenameAsync(key, newKey);
        }

        public async Task<bool> KeyExistsAsync(string key)
        {
            return await _client.KeyExistsAsync(key);
        }
    }
}
